package hypertree.demo;

import hypertree.HyperTree;
import hypertree.HTView;

import java.io.*;
import java.awt.event.*;
import java.awt.*;

import javax.swing.JEditorPane;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JSplitPane;
import javax.swing.UIManager;
//import java.awt.Frame;
//



public class DemoPane{

    private static HTFileNode root      = null; // the root of the demo tree
    private static HyperTree  hypertree = null; // the hypertree builded
	
    private static JEditorPane htmlPane;
 	


    /**
     * Display a demo HyperTree.
     */
    public static void main(String[] args) {
        String pathRoot = null;

        if (args.length > 0) {
            pathRoot = args[0];
        } else {
            pathRoot = ".";
        }

        File rootFile = new File(pathRoot);
        try {
            System.out.println("Starting the hyperbolic tree from " +
                                rootFile.getCanonicalPath());
        } catch (IOException e) {
            e.printStackTrace();
            return;
        }

        if (! rootFile.exists()) {
            System.out.println("Can't start hypertree : " + rootFile.getName() +
                               " does not exist.");
            return;
        }


        root = new HTFileNode(rootFile);
        if (root == null) {
            System.err.println("Error : can't start hypertree from " +
                                rootFile.getAbsolutePath());
            return;
        }

        hypertree = new HyperTree(root);
		
		
        HTView treeView = hypertree.getView();
		//viewFrame.setContentPane(view);
		treeView.setLongNameMode(true);
		treeView.setProjType(-1);

		
        
		
        //Create the HTML viewing pane.
        htmlPane = new JEditorPane();
        htmlPane.setEditable(false);
        JScrollPane htmlView = new JScrollPane(htmlPane);

        //Add the scroll panes to a split pane.
        JSplitPane splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
        splitPane.setLeftComponent(treeView);
        splitPane.setRightComponent(htmlView);

        Dimension minimumSize = new Dimension(100, 50);
        htmlView.setMinimumSize(minimumSize);
        treeView.setMinimumSize(minimumSize);
        splitPane.setDividerLocation(100); //XXX: ignored in some releases
                                           //of Swing. bug 4101306
        splitPane.setPreferredSize(new Dimension(500, 300));

        //Add the split pane to this panel.
        JFrame viewFrame = new JFrame(root.getName());
        viewFrame.getContentPane().add(splitPane);
		
        viewFrame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });

        viewFrame.pack();
        viewFrame.setVisible(true);
    }
	public static void display(File file){
		try{
		htmlPane.setPage(file.toURL());
		}
		catch(Exception e){System.out.println(""+e);}
	}
}

